## lxmms2 0.1.3

=== Makefile ===
# Makefile for lxmms2

# Installation directory
PREFIX=/usr/local

ALLFILES=*.c Makefile README COPYING

CFLAGS=-O2 -Wall -fPIC `pkg-config --cflags xmms2-client`
LIBS=`pkg-config --libs xmms2-client` -llirc_client

CC=gcc

OBJS=lxmms2.o

projname:=lxmms2-$(shell awk '/define VERSION/ { print $$3 }' lxmms2.c )

lxmms2: $(OBJS)
	$(CC) $(OBJS) -o lxmms2 $(LIBS)

dist: $(ALLFILES)
	-rm -rf $(projname)
	mkdir $(projname)
	cp -rl --parents $(ALLFILES) $(projname)
	tar chfz $(projname).tar.gz $(projname)
	-rm -rf $(projname)

clean:
	rm -f *.o core *.bak *~ lxmms2

%.o: %.c
	$(CC) $(CFLAGS) -c $<

install: lxmms2
	install -D lxmms2 $(PREFIX)/bin/lxmms2

uninstall:
	-rm $(PREFIX)/bin/lxmms2

=== debian/changelog ===
lxmms2 (0.1.3-5) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Updated VCS fields.
  * debian/copyright:
      - Updated licensing texts.
      - Updated packaging data.
      - Using a secure copyright format in URI.
  * debian/docs: created to make available the upstream README file.
  * debian/rules: added DEB_BUILD_MAINT_OPTIONS variable to improve GCC
    hardening.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: set a CI test as superficial. (Closes: #969840)
  * debian/watch:
      - Bumped version to 4.
      - Improved the search rule.
      - Using https instead of http.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Sep 2020 21:59:03 -0300

lxmms2 (0.1.3-4) unstable; urgency=medium

  * QA upload.
  * debian/tests/control: added to perform tests.

 -- Elimar Henrique da Silva <elimar.henrique@yahoo.com.br>  Thu, 14 May 2020 17:29:23 -0300

lxmms2 (0.1.3-3) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. see(#931409)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Elimar Henrique da Silva <elimar.henrique@yahoo.com.br>  Sat, 09 May 2020 20:30:58 -0300

lxmms2 (0.1.3-2) unstable; urgency=low

  * Fix dropped lirc events. (LP: #1086617)
  * Update machine-readable copyright Format to 1.0.
  * Bump Standards-Version to 3.9.4 (no change required).
  * Support passing hardening compiler flags.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 05 Dec 2012 02:37:57 +0100

lxmms2 (0.1.3-1) unstable; urgency=low

  * Initial release (Closes: #645212).

 -- Benjamin Drung <bdrung@debian.org>  Thu, 13 Oct 2011 18:39:01 +0200

=== debian/control ===
Source: lxmms2
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               liblircclient-dev,
               libxmmsclient-dev (>= 0.7DrNo)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://wejp.k.vu/projects/xmms2/lxmms2
Vcs-Browser: https://salsa.debian.org/debian/lxmms2
Vcs-Git: https://salsa.debian.org/debian/lxmms2.git

Package: lxmms2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: xmms2
Description: control XMMS2 with a LIRC compatible remote control
 lxmms2 is a tiny XMMS2 client to control XMMS2 with a LIRC compatible remote
 control. Following actions are supported:
  - play (starts playback)
  - pause (pauses playback)
  - toggle_play_pause (toggles pause and starts playback if XMMS2 is not playing
    at all)
  - toggle_pause (toggles pause)
  - stop (stops playback)
  - next (advances to the next track)
  - prev (goes back to the previous track)
  - volume_up (increases the volume)
  - volume_down (decreases the volume)

=== debian/tests/control ===
Test-Command: lxmms2 2>&1 | grep a
Restrictions: superficial

=== debian/watch ===
version=4
https://wejp.k.vu/projects/xmms2/lxmms2 .*/lxmms2-(\d\S+)\.tar\.(?:bz2|gz|xz)
